<app-page-data-list
  [pageTitle]="'مدیریت شناسه کالاها'"
  [addNewCtaLabel]="'افزودن شناسه کالا'"
  [columns]="columns"
  emptyPlaceholderTitle="شناسه کالایی یافت نشد"
  emptyPlaceholderDescription="برای افزودن شناسه کالا، روی دکمهٔ بالا کلیک کنید."
  [items]="items()"
  [loading]="loading()"
  [showDetails]="false"
  [showAdd]="true"
  (onAdd)="openAddForm()"
  (onRefresh)="refresh()"
>
</app-page-data-list>
<stock-keeping-unit-form
  [(visible)]="visibleForm"
  [initialValues]="selectedItemForEdit()!"
  [editMode]="false"
  [stockKeepingUnitId]="selectedItemForEdit()?.id"
  (onSubmit)="refresh()"
/>
